RIP(1)

NAME
rip - the all in one music downloader

SYNOPSIS

rip [OPTIONS] COMMAND [ARGS] …

DESCRIPTION

This manual page documents briefly the rip command. It can be used to download music from various streaming services.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes ('-'). rip supports the following options:

--version
    Show the version and exit.

--config-path PATH
    Path to the configuration file

-f, --folder DIRECTORY
    The folder to download items into.

-ndb, --no-db
    Download items even if they have been logged in the database

-q, --quality _QUALITY
    The maximum quality allowed to download [0⇐x⇐4]

-c, --codec CODEC
    Convert the downloaded files to an audio codec (ALAC, FLAC, MP3, AAC, or OGG)

--no-progress
    Do not show progress bars

--no-ssl-verify
    Disable SSL certificate verification (use if you encounter SSL errors)

-v, --verbose
    Enable verbose output (debug mode)

--help
    Show this message and exit.

COMMANDS

config
    Manage configuration files.

database
    View and modify the downloads and failed downloads databases.

file
    Download content from URLs in a file.

id
    Download an item by ID.

lastfm
    Download tracks from a last.fm playlist.

search
    Search for content using a specific source.

url
    Download content from URLs.

EXAMPLES

  Quality/Format Conversion

    rip -q 4 -c FLAC url https://tidal.com/album/123  # Best quality FLAC
    rip -q 2 -c MP3 search deezer track "Dance Song" # 320kbps MP3

  Headless Operation

    rip --no-progress -f file batch.txt  # Silent batch processing

  Debugging

    rip -v --no-ssl-verify url https://problematic.url  # Debug SSL issues

EXIT CODES

0
    Success

1
    General error

2
    Invalid arguments

3
    Config error

4
    Network error

5
    Authentication failure

AUTHOR

rip was written by Nathan Thomas.

This manual page was written by Dr. Tobias Quathamer for the Debian project (but may be used by others).